» »

PHP in Apache problem...z POST

PHP in Apache problem...z POST

Groovy ::

Method Not Allowed
The requested method POST is not allowed for the URL /ssl/preveri_user.php.

Apache 1.3.31 Server in PHP 4.3.8.

Vse na strani dela, dokler ne uporabim PHPja...
kaj je potrebno napisati v httpd.conf, da se ujameta PHP in Apache?

Thanx
I am the captain of my soul

boych ::

Prečitaj , meni je pomagalo!

Groovy ::

tu nič ne piše o PHPjih... ;(
I am the captain of my soul

boych ::

Poglej če maš v conf datoteki ta dva stavka:

LoadModule php4_module C:/AppServ/php/sapi/php4apache.dll
AddType application/x-httpd-php .php

Jebiveter ::

off-topic: Groovy, mi lahko prosim razlozis zakaj si uporabil besedo "PHPjih...". Mislim, ne razumem zakaj taka oblika?
Certainty of death. Small chance of success. What are we waiting for?

Groovy ::

boych: tega modula sploh nimam...z installom česa ga dobiš?

jebiveter: hmmmmm.. jebiveter
I am the captain of my soul

Ziga Dolhar ::

Groovy: V navodilih za inštalacijo pehapejev imaš napisano, da moraš ti dve vrstici, ta "modul", dopisat.

Grrrrrrr.
https://dolhar.si/

Groovy ::

vemvem, vse to prebral, samo tega modula jaz NIMAM. In po mojem bi moral biti pri instalaciji PHPja... al se motm?
Probu sem že 3 verzije PHPja in pri nobenem ga ni.

evo...
LoadModule php4_module c:/php/sapi/php4apache.dll
AddModule mod_php4.c
AddType application/x-httpd-php .php

samo pod instalacijo PHPja sploh ni dir. SAPI, kaj šele ta file....ni ga na celem kompu!

Zgodovina sprememb…

  • spremenilo: Groovy ()

McAjvar ::

a to mas na windowsih?

si to downloadal stable paket 4.3.8 al kak snapshot? (mimogrede, ce rabis php_gettext.dll, ga v 4.3.8 releasu ni, mors kak snapshot dol potegnt in iz tam ven dobit to knjiznico.. al pa reci, pa jest nekam uploadam).
jest sm pogledu v 4.3.8 zip paket, frisno downloadan s php.net, tm not je dir sapi, not pa je zahtevani fajl. ce si uporabil instalacijski paket, dej probi to deinstalirat in poskusi samo z zip paketom.

ce ti ne bo slo, javi. vem, da sem nekaj telovadil z dll fajli, predno zacne instalacija iz .zip paketa delat normalno. bom pogledu se enkrat, kje mam kksne dll fajle spravljene, da funkcionira.
"[...] the advance of civilization is nothing
but an exercise in the limiting of privacy."
- Isaac Asimov

Hypno ::

php installer nima modulov za apache-ja in tudi ne naredi SAPI dir-a, .zip verzija jih ima oz. vsaj tko je blo včasih. Če ne rešiš zadeve ti lahko zvečer točno napišem kaj nastaviš kje brez iskanja php-for-apache modules. Ne rabiš telovadbe z dll-ji. :) Dela na winxp (apache server, php parser in mysql server, v sožitju tko kot je mišljeno). :)
Great are mysteries of the mind ...

Groovy ::

OK, file dubu v tistem ZIP file-u... samo fora je še vedno ista-podobna
Server se mi ne zažene, ko napišem tiste load ukaze za modul in mi napiše, da je POT napačna :\
Pot ni napačna!!!! probal sem z "\" in z "/", file sem dal tudi med ostale Apachijeve module in kamorkoli in vedno mi napiše, da file-a ne najde, ker ga naj nebi bilo tam kamor sem ga v resnici dal.
pot in ime je 99,9% prav!
I am the captain of my soul

boych ::

Si probal kako drugo verziji Apachea ???
Jaz mam trenutno 2.4.0 pa mi vredu laufa. Tudi jaz sem se jebal na začetku in vlekel vsega boga iz neta, nato pa mi je samo enkrat začelo laufati.

McAjvar ::

naceloma ni treba kaj dost dela. odzipas php zip fajl nekam, instaliras apache, 1 al pa 2. v httpd.conf das

### Dodano za PHP
LoadModule php4_module c:/progra~1/php-43~1.8-w/sapi/php4apache2.dll
AddType application/x-httpd-php .php

kjer seveda ustrezno popravis pot in dll fajl, glede na verzijo apacheja. ampak v zgornji direktorij, x:\pot\do\php\sapi, sem moral se skopirat php4ts.dll fajl, ki se nahaja v x:\pot\do\php. pol bi pa ze naceloma moralo delat. ce pa rabis, kot sm ze par postov gor reku, gettext, pa downloadej kaksen dnevni snapshot, odzipaj in v direktoriju extensions not bi moral bit tut fajl php_gettext.dll. tega fajla namrec v 4.3.8 zip fajlu ni. aja, jest rajs uporabljam kratka imena poti, za vsak slucaj. ustrezno kratko ime dobis, ce gres v command prompt in reces "dir /x" (velja za win2k in najbrz tudi xp, v win2k3 se nisem probaval).
"[...] the advance of civilization is nothing
but an exercise in the limiting of privacy."
- Isaac Asimov

Groovy ::

thanx, ampak mi je že nekak ratal...

php4ts.dll fajl, sem skopiral pod c:/win/system in instaliral Apache 2.0, čeprav jih veliko govori, da ni ravno najboljši...ne vem zakaj.

Uglavnem po nekaj urah izgubljenega časa z "čaranjem" mi je le uspelo.

Thanx

McAjvar ::

njah, ravno zato, da ni treba se enga dll-ja v win dir kopirat... ampak ce si ze... :)

sej, ce bos mel to doma za testiranje ipd, mu cisto nic ne fali, tko da se ne meni za "jao, pa ta rec ne dela, je pocasna in ima zelene nohte" komentarje. pa se enostavno ga preko system traya pedenas :) podobno imam tudi sam na eni windows kisti za izzvljanje apache 2, php 4.3.8, pgsql 8.0 beta1. poleg tega, da kisto se nucam za par stvari hkrati, firefox, 2 ali 3 instanci, s po 5 - 10 tabi vsaka, thunderbird, winamp 5, pgadmin3, pa se par stvari, pa glede na to, da je ~700 mhz p3, 256 mb rama, dela odlicno... tko da ce mas kej boljsga bi ti moralo delat ko sus!
"[...] the advance of civilization is nothing
but an exercise in the limiting of privacy."
- Isaac Asimov

Trubadur ::

Če bi pogledal tole bi si prihranil kakšno uro časa:\

Le zakaj so manuali spisani?
Berite Thomasa!


Vredno ogleda ...

TemaSporočilaOglediZadnje sporočilo
TemaSporočilaOglediZadnje sporočilo
»

PHP ne dela

Oddelek: Izdelava spletišč
161512 (1267) fx
»

prikaz index.php

Oddelek: Izdelava spletišč
5925 (889) nurmaln
»

HTTP serv. program

Oddelek: Omrežja in internet
201400 (1237) pivmik
»

PHP + Apache

Oddelek: Izdelava spletišč
7732 (669) B_U_R_I
»

Apache & Php

Oddelek: Programiranje
71264 (1145) iBojan

Več podobnih tem